summaryrefslogtreecommitdiffstats
path: root/audio/amSynth
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:43 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:43 +0200
commit984383969b17f8aefa2e8f15ceb6e288d7af5806 (patch)
treec3a35bda99095ef39b64ace4b42186040a423a10 /audio/amSynth
parenta9215476b4c122208fee8517f9c008d0af2cd677 (diff)
downloadslackbuilds-984383969b17f8aefa2e8f15ceb6e288d7af5806.tar.gz
slackbuilds-984383969b17f8aefa2e8f15ceb6e288d7af5806.tar.xz
audio/amSynth: Moved from multimedia
Diffstat (limited to 'audio/amSynth')
-rw-r--r--audio/amSynth/README13
-rw-r--r--audio/amSynth/amSynth.SlackBuild74
-rw-r--r--audio/amSynth/amSynth.info8
-rw-r--r--audio/amSynth/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/audio/amSynth/README b/audio/amSynth/README
new file mode 100644
index 0000000000..7800ae948e
--- /dev/null
+++ b/audio/amSynth/README
@@ -0,0 +1,13 @@
+amSynth stands for Analogue Modeling SYNTHesizer.
+
+It provides virtual analogue synthesis in the style of the classic
+Moog Minimoog/Roland Junos. It offers an easy-to-use interface and
+synth engine, while still creating varied sounds.
+
+This package requires gtkmm, which is available from SlackBuilds.org.
+An optional requirement is libsndfile, which is also available at
+ SlackBuilds.org.
+
+Note: If you want to use this package with jack, then jack
+ needs to be installed when you build this package.
+ The configure step will include jack if its available.
diff --git a/audio/amSynth/amSynth.SlackBuild b/audio/amSynth/amSynth.SlackBuild
new file mode 100644
index 0000000000..f0bceed0b9
--- /dev/null
+++ b/audio/amSynth/amSynth.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for amSynth
+
+# Copyright (C) 2006 paul wisehart wise@lupulin.net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PKGNAME=amSynth
+VERSION=1.2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PKGNAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PKGNAME-$VERSION
+tar -xvzf $CWD/$PKGNAME-$VERSION.tar.gz || exit 1
+cd $PKGNAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --datarootdir=/usr/share/$PKGNAME \
+ --enable-static=no \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PKGNAME-$VERSION
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/amSynth/amSynth.info b/audio/amSynth/amSynth.info
new file mode 100644
index 0000000000..a9f5db3916
--- /dev/null
+++ b/audio/amSynth/amSynth.info
@@ -0,0 +1,8 @@
+PRGNAM="amSynth"
+VERSION="1.2.0"
+HOMEPAGE="http://amsynthe.sourceforge.net/amSynth/"
+DOWNLOAD="http://dl.sourceforge.net/amsynthe/amSynth-1.2.0.tar.gz"
+MD5SUM="2ba9a0560945c6ac914a15bb243146e2"
+MAINTAINER="paul wisehart"
+EMAIL="wise@lupulin.net"
+APPROVED="rworkman"
diff --git a/audio/amSynth/slack-desc b/audio/amSynth/slack-desc
new file mode 100644
index 0000000000..f2c02aa30a
--- /dev/null
+++ b/audio/amSynth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+amSynth: amSynth (Analogue Modeling SYNTHesizer)
+amSynth:
+amSynth: AMSynth provides virtual analogue synthesis in the style of the
+amSynth: classic Moog Minimoog/Roland Junos. It offers an easy-to-use
+amSynth: interface and synth engine, while still creating varied sounds.
+amSynth:
+amSynth:
+amSynth:
+amSynth:
+amSynth:
+amSynth: